info = Image.load("iniziale.png")

sccnt = 1

blu = Color.new(0,0,255)
rosso = Color.new(255,0,0)

adresse_mac = Adhoc.getMac()
firmware = System.cfwVersion()
pseudo = System.nickName()
ms = System.getFreeSpace("ms0:/")
modele = System.getModel(1)

ms = ms / 1024/1024

degre_de_batterie = System.powerGetBatteryTemp()
temps_restant = System.powerGetBatteryLifeTime()
pourcent = System.powerGetBatteryLifePercent()
batterieexist = System.powerIsBatteryExist()
volt_batterie = System.powerGetBatteryVolt()

--Boucle
while true do
screen:clear()
pad = Controls.read()

screen:blit(0,0,info)
screen:print(260,50,"Info Sul Sistema",blu)
screen:print(2,20,"Info sistema : ",blu)
screen:print(2,30,"Pseudomio: "..pseudo,rosso)
screen:print(2,40,"Versione CF: "..firmware,rosso)
screen:print(2,50,"Modello PSP: "..modele,rosso)
screen:print(2,60,"Spazio restante in MS: "..ms.." mo",rosso)
screen:print(2,70,"Indirizzo Mac: "..adresse_mac,rosso)
screen:print(2,110,"Info batteria: ",blu)
screen:print(2,120,"Livello di carica: "..pourcent.."%",rosso)
screen:print(2,130,"Tempo restante: "..temps_restant.." minutes",rosso)
screen:print(2,140,"Temperatura interna: "..degre_de_batterie.."C",rosso)
screen:print(2,150, "Voltaggio Batteria: "..volt_batterie.." mV",rosso)

if System.powerIsPowerOnline() then 
screen:print(2,160, "In carica: Si ",rosso)
else
screen:print(2,160, "In carica: No ",rosso)
end

screen:print(10,262,"Premi Select per ritornare al menu principale",rosso)


if pad:select() then
dofile("System/system.lua")
end

screen.flip()
screen.waitVblankStart()
end 